site_name: GoldenDict-ng
site_description: GoldenDict-ng is a open source, cross platform, multi formats, feature rich dictionary 是一个开源跨平台支持各种格式的字典程序
site_url: https://xiaoyifang.github.io/goldendict-ng/

theme:
  name: material
  icon:
    repo: fontawesome/brands/github
  features:
    - navigation.expand
    - content.action.edit
    # - navigation.tabs -> for tabs

# top right repo widget
repo_name: GoldenDict-ng
repo_url: https://github.com/xiaoyifang/goldendict-ng
edit_uri: edit/staged/website/docs/

markdown_extensions:
  - attr_list # for image ![](/img/a.webp){ widget=300}
  - admonition
  - pymdownx.details
  - pymdownx.superfences
  - pymdownx.keys

nav:
  - Getting started: index.md
  - Download & Install: install.md
  - Dictionary Formats: dictformats.md
  - Manage Dictionaries: 
      - Sources: manage_sources.md
      - Groups: manage_groups.md
  - Interface:
      - Popup Window: ui_popup.md
      - Headwords Dialog: ui_headwords.md
      - Full Text Search: ui_fulltextsearch.md
      - Tool & Dictionary Bar: ui_toolbar.md
      - Favorites: ui_favorites.md
      - Shortcuts: ui_shortcuts.md
  - Advanced Usages:
      - Program dictionary: howto/how to add a program as dictionary.md
      - Command Lines: topic_commandline.md
      - Custom Stylesheet & JavaScript: topic_userstyle.md
      - Portable Mode: topic_portablemode.md
      - Custom transliteration: topic_transliteration.md
      - Customize Dictionary: custom_dictionary.md
      - Wayland: topic_wayland.md
      - Debug dictionary JS: howto/how to debug dictionary js.md
      - Flatpak/FlatHub: topic_flatpak.md
      - Move index folder: topic_move_index_folder.md
  - Related tools:
      - Anki Integration: topic_anki.md
      - OCR Integration: howto/ocr.md
  - Report Bugs & Feedbacks: feedbacks.md
  - Development Info:
    - Start develop: developer.md
    - Build from source: howto/build_from_source.md
    - Architecture: architecture.md
    - Customize the opencc: howto/how to customize the opencc.md
    - Breadpad crash analysis: howto/how to use breadpad crash analysis.md
    - Update the crowdin.ts file: howto/how to update crowdin.ts file.md

